For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update a max bid

Update the current high bidder's maximum (proxy) bid on an active auction item.

The customer must currently be the high bidder. The maxAmount cannot be lower than the customer's current showing bid.

If the auction item has a reserve price that has not yet been met and the new maxAmount meets or exceeds it, the system will automatically place a bid at the reserve price.

post
Authorizations
AuthorizationstringRequired

You can retrieve your token by visiting Settings > API and clicking Generate Public Token.

Path parameters
idstringRequired

The auction item UID.

Example: 1c6af60by54hzdmgxy5ab4ypw0
Query parameters
fields[auction-items]stringOptional

Available values are startPrice, reservePrice, bidIncrementStrategy, automaticBidding, softClose, totalBids, highBidAmount, minimumBid, currentIncrement, startsAt, endsAt, position, status, reserveMet, canceledAt, archivedAt, processed, createdAt, updatedAt. You can include multiple values by separating them with a comma.

fields[variants]stringOptional

Available values are externalId, displayName, title, price, photoUrl, sku. You can include multiple values by separating them with a comma.

fields[products]stringOptional

Available values are externalId, title, vendor, type, photoUrl, handle. You can include multiple values by separating them with a comma.

fields[bids]stringOptional

Available values are amount, submittedAt, placedAt, automatic. You can include multiple values by separating them with a comma.

fields[customers]stringOptional

Available values are name, firstName, lastName, externalId, email, registeredAt, approvedAt, bannedAt, createdAt. You can include multiple values by separating them with a comma.

fields[max-bids]stringOptional

Available values are amount, createdAt. You can include multiple values by separating them with a comma.

includestringOptional

Comma-separated list of related resources to include in the response. Available values: variant, product, highBid, highBid.customer, maxBid.

Body
customerIdstringRequired

The customer UID.

maxAmountnumberRequired

The new maximum bid in major currency units (e.g. 10.50).

Responses
200

AuctionItemResource

application/vnd.api+json
post/auction-items/{id}/update-max-bid
POST /v1/auction-items/{id}/update-max-bid HTTP/1.1
Host: api.auctionplusapp.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "customerId": "text",
  "maxAmount": 1
}
{
  "data": {
    "id": "wwvmb10q0d5n78d0t0fjy4tyhw",
    "type": "auction-items",
    "attributes": {
      "startPrice": {
        "value": 100,
        "major": "1.00",
        "display": "$1.00",
        "currency": "USD"
      },
      "reservePrice": {
        "value": 1000,
        "major": "10.00",
        "display": "$10.00",
        "currency": "USD"
      },
      "bidIncrementStrategy": {
        "strategy": "fixed_amount",
        "value": {
          "amount": {
            "value": 500,
            "major": "5.00",
            "display": "$5.00",
            "currency": "USD"
          }
        }
      },
      "automaticBidding": {
        "enabled": true
      },
      "softClose": {
        "enabled": false,
        "extendFrom": null,
        "extendDuration": null
      },
      "totalBids": 1,
      "highBidAmount": {
        "value": 5000,
        "major": "50.00",
        "display": "$50.00",
        "currency": "USD"
      },
      "minimumBid": {
        "value": 5500,
        "major": "55.00",
        "display": "$55.00",
        "currency": "USD"
      },
      "currentIncrement": {
        "value": 500,
        "major": "5.00",
        "display": "$5.00",
        "currency": "USD"
      },
      "startsAt": "2026-09-24T19:51:40.000000Z",
      "endsAt": "2026-09-24T20:51:40.000000Z",
      "position": null,
      "status": "active",
      "reserveMet": true,
      "canceledAt": null,
      "archivedAt": null,
      "processed": false,
      "createdAt": "2026-09-24T19:51:40.000000Z",
      "updatedAt": "2026-09-24T19:51:40.000000Z"
    },
    "relationships": {
      "variant": {
        "data": {
          "type": "variants",
          "id": "text"
        }
      },
      "product": {
        "data": {
          "type": "products",
          "id": "text"
        }
      },
      "highBid": {
        "data": {
          "type": "bids",
          "id": "text"
        }
      },
      "maxBid": {
        "data": {
          "type": "max-bids",
          "id": "text"
        }
      }
    }
  }
}

Last updated